Sukhavita Clinic - Bug #3018

Task Async
08/26/2024 04:54 PM - Regina Tasya

Status: Closed
Priority: Normal
Assignee: Regina Tasya
Category:

Target version:

Start date:
Due date:

% Done:

Spent time:

Estimated time:

08/26/2024

0%
0.00 hour
1.00 hour

Description
Dear Mas azid,

jika request overtime melalui mobile dan ios, task nya masuk ke async.

massage error:

cond_save_md15, BizFlowName does not Exist in DefFlow. - MinovalS.MinovaES.Business.WorkFlow

sebelumnya untuk cond_save_md15 sudah di cek di defflow dan semua defflow sudah terdaftar

Column Alias Table Outp...
BizFlowID PCMWEFD...
» BizFlowMName PCMWEFD...
WF5tartDate PCMWEFD...
WFEndDate PCMWED...
< [T —
BizFlowlD BizFlowMame

» MD_Owertime_... after_prc_md13_finish_toErmail
MD_Cwertime_... after_prc_md16
MD_Overtime_.. cond_mail_overtime_berhasil
MD_Owertime_... cond_save mdl13

N NULL NULL

03/14/2025

¢ Filter

ar...

= 'MD_Owvertime_AJ...

= ‘after_prc_md16'

WFStartDate
20110010100
20110101010101
2011010101010
2011001010
NULL

= "cond_mail_overtime_...

WFEndDate MajorVersion

99991231010101 1
99991231010101 1
%9991231010701 1
99991231010101 1
NULL NULL

Or..

= 'cond_save_md15'

FromTask
pre_post_data_..
proc_data_MD16
cond_save_md15
cond_save_md13
NULL

ar...

ToTask

mail_overtime_...

cond_save_md13 done saving m...

mail_overtime_...
prc_post_data_...
NULL

FlowText

done saving m...

Condition Mail ...

Condition Save ..

NULL

1/4

ar...

[of:
N
N
N
N
N




vmwindows-min

vmwindows-minc...o.PCMWFDEFFLOW F X

\WFDEFBIZFLO

vmwindows-mine

Column Ir... Or... Or... Or.. Or.. Or... Or... Or.. Or... "
3 BizFlowlD MD_Ovett... ='MD_Overt.. ='MD Overt.. ='MDOvet. ='MDOvert. ='MDOvet. ='MDOvet. =MDOvert.[ |
BizFlowMame ‘'mail_rejec... = 'apv_appo.. = 'apvappro.. = 'revise_cre.. = 'revised_to.. = 'after_prc_.. = 'reject_fini.. = 'mail_over..
WF5tartDate
WFEndDate
W
4 >
BizFlowlD BizFlowMame WFStartDate WFEndDate IMajorVersion FromTask ToTask FlowText 2
3 MD_Overtime_... after_create 20110101070101  99991231010101 1 create mail_approval Create
MD_Overtime_... after_mail_approval 2000101010101 99991231010101 1 mail_approval approvalapprov.. Create
MD_Overtime_...  after_prc_md13_finish_toEmail 20110101010101  99591231010101 1 prc_post_data_.. mail_overtime_... done saving m..
MD_Overtime_... after_prc_md16 20110101010101  99851231010101 1 proc_data_MD1& cond_save_mdl13 done saving m...
MD_Overtime_... apv_appoval_revise_creator 20110101010101  99991231010101 1 approvalapprowv... revise_mail_cre.. Revise
MD_Overtime_... apvapprover_procdata 20110101010101  99991231010101 1 approvalapprov... proc_data_MD16  Approval
MD_Overtime_... cond_mail_overtime_berhasil 20110101010101  999912310101071 1 cond_save_md15 mail_overtime_... Condition Mail ...
MD_Overtime_... cond_save_md153 20110101010101  999912310101071 1 cond_save_md15 prc_post_data_... Condition Save ...
MD_Overtime_... mail_overtime_berhasil 20110101010101  999912310101071 1 mail_overtime_... finish Finish
MD_Overtime_... mail_reject_approver 2000101010101 99991231010101 1 approvalapprov.. reject_mail_cre.. Reject
MD_Overtime_... reject_finish 20110101010101  99591231010101 1 reject_mail_cre... finish Finish Reject
MD_Overtime_... revise_creator 20110101010101  99851231010101 1 revise_mail_cre... revise_creator Revise
MD_Overtime_... revised_to_approvalapprover 20110101010101  99991231010101 1 revise_creator approvalapprov... Revised
MD_Overtime_... Start 20110101010101  99851231010101 1 start create Create .
1 of 14| b b b

vmwindows-mino...CMWFDEFBIZFLOW # X @
i NFDEFFLOW #

Column Alias Table Outp... Sort Type Or... Or... al
» BizFlowl|D PCMWED...
MajorVersion PCMWED...
MinorVersion PCMWFD...
RevisionVersion PCMWFD...
BuildVersion PCMWEFD...
BizFlowName PCMWEFD...
BizFlowDesc PCMWEFD...
WF5tartDate PCMWED...
WFEndDate PCMWED...
IsRequesterSp... PCMWFD...
[ TP /SR AAIET — N
BizFlow|D Majoriersion Minoryersion RevisionVYersion  BuildVersion BizFlowMame BizFlowDesc WFStartDate WFEndDate lzRe
> 1 0 0 0 Overtime Overtime AJTM 0
N NULL NULL NULL NULL MNULL MNULL MNULL MNULL MNULL MNUL
L4 >
1 of 1 3
dan saat testing melalui web ess. berhasil tidak ada error dan masuk ke md 16
e Employee ID: 00000002

Full Name: Jaja
Employee Status: Active
Employee Type: Permanent
( Attendance Absence Quota

Start Date: 26/08/2024

End Date: 26/08/2024

Owvertime Type: After Work Schedule

Day Before Flag: n

Day Type: Working Day

Start Plan: 18:30

End Plan: 21:00

Plan Duration: 2.50

reg id ios 192
reg id mobile 193
employee id yang digunakan 0000002

mohon bantuannya kak terima kasih

Port: https://hris-sukhavita.minovais.com/
DB: MinovaES_Sukhavita (103.153.60.89)

Company ID: Sukhavita Clinic
Employee Office: lcon BSD

Organization:

Position:
Absence |W| Attendance Detail
Start Time: 1830
End Time: 21:00
Duration: 2.50
Motes: lembur web today
Create By: 00000002
Create Date: 26/08/2024 16:38:03
Change By: 00000002
Change Date: 26/08/2024 16:38:03

History

#1 - 08/27/2024 10:27 AM - M Azid Wahyudi

- File clipboard-202408271024-8d9em.png added

- File clipboard-202408271024-dIxdi.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , issue ini terjadi karena FlowName di deftaskcon berbeda dengan bizflowName di Defflow

seperti di bawah ini contohnya :
https://hris-sukhavita.minovais.com/

FDEFFLOW vmwindows-n WFDEFTASK

Column Alias Table Outp... Sort Type Sort Order Filter or.. or.. or..
» BizFlowID PCMWFD.. @

TaskiD PCMWFD.. @

MajerVersion PCMWFD.. @

TaskName PCMWFD.. @

Active PCMWFD.. @

ConditionType PCMWFD.. @

WFStartDate PCMWFD.. @

WFEndDate PCMWFD.. @

FlowName PCMWFD.. @

ValueFrom PCMWFD.. @

ValueTo PCMWFD.. @

DescriptionN... PCMWFD.. @

Notes PCMWFD.. @

]

BizFlowID TasklD MajorVersion  Taskhame Active ConditionType  WFStartDate  WFEndDate FlowName ValueFfom ValueTo Descriptionha...  Notes
» | MD_Overtime cond_save_ md15 1 cond_mail_overtime_berhasil 1 OTHER 2010010101010 339912311010J0  cond_mail_overtime_berhasil 0 bizflow

MD_Overtime cond_save_md15 1 cond_save_md15 1 FIX 2010010101010 9999123101000 cond_save_md15 1 Bizproc and both
. |NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL

vmwindows-mino...0.PCMWFDEFFLOW -+ X iVl Tt

Column Alias Table Outp... SertType Sort Order Filter Or... Or... or...
] BizFlowlD PCMWFD... a = 'MD_Qvert...
BizFlowName PCMWFD... -]
‘WFStartDate PCMWFD... [ ]
‘WFEndDate PCMWFD... []
MajorVersion PCMWFD.. @
» FromTask PCMWED.. @ i —
ToTask PCMWFD... [ ] |
FlowText PCMWFD... []
Description PCMWFD.. @
Active PCMWFD... [ ]
FlawType PCMWFD... ]
Sequence PCMWFD... [-]
MinApprover... PCMWFD.. @
NeMinAppro... PCMWFD.. @
SaveFileData PCMWFD... a
e
BizFlowlD BizFlowName FStartDate WFEndDate MajorVersion FromTask ToTask FlowText Description Active FlowType Sequence MinApproverT.. NoMinApprover Savel
» MD_Overtime cond_save_md15_no 2Q110101010101  99991231010101 1 cond_save_md13 mail_success No NULL 1 300 19 NULL 1 NULL
MD_Overtime cond_save_md15_yes 2110101010101  §9991231010101 1 cond_save_md15 prc_post MD_15  Yes NULL 1 500 20 NULL 1 NULL
* NULL NULL NpLL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
Tolong samakan dulu antara FlowName dan BizFlowName
terimakasih
#2 - 08/27/2024 03:38 PM - Regina Tasya
- Status changed from QA Test to Closed
notes : semuanya sudah sesuai, dan terindikasi ada yg belum dibenerin di redmine #2938
Files
clipboard-202408261646-r6bkh.png 30.7 KB 08/26/2024 Regina Tasya
clipboard-202408261650-echkt.png 63.8 KB 08/26/2024 Regina Tasya
clipboard-202408261651-zp2hw.png 42.6 KB 08/26/2024 Regina Tasya
clipboard-202408261651-llo1i.png 53.4 KB 08/26/2024 Regina Tasya
clipboard-202408271024-8d9em.png 54 KB 08/27/2024 M Azid Wahyudi
clipboard-202408271024-dIxdi.png 59.2 KB 08/27/2024 M Azid Wahyudi
